package com.namasoft.common.flatobjects;

public class LinkCreationParameters
{
	private final StringBuilder builder;
	private final String url;
	private final Object entityType;
	private final Object id;
	private final String resolvedMenuCode;
	private final String resolvedView;
	private final String resolvedFlowCode;
	private final String targetWindow;
	private final Object title;
	private String imgWidth;
	private String imgHeight;

	public LinkCreationParameters(StringBuilder builder, String url, Object entityType, Object id, String resolvedMenuCode, String resolvedView,
			String resolvedFlowCode, String targetWindow, Object title)
	{
		this.builder = builder;
		this.url = url;
		this.entityType = entityType;
		this.id = id;
		this.resolvedMenuCode = resolvedMenuCode;
		this.resolvedView = resolvedView;
		this.resolvedFlowCode = resolvedFlowCode;
		this.targetWindow = targetWindow;
		this.title = title;
	}

	public StringBuilder getBuilder()
	{
		return builder;
	}

	public String getUrl()
	{
		return url;
	}

	public Object getEntityType()
	{
		return entityType;
	}

	public Object getId()
	{
		return id;
	}

	public String getResolvedMenuCode()
	{
		return resolvedMenuCode;
	}

	public String getResolvedView()
	{
		return resolvedView;
	}

	public String getResolvedFlowCode()
	{
		return resolvedFlowCode;
	}

	public String getTargetWindow()
	{
		return targetWindow;
	}

	public Object getTitle()
	{
		return title;
	}

	public String getImgWidth()
	{
		return imgWidth;
	}

	public void setImgWidth(String imgWidth)
	{
		this.imgWidth = imgWidth;
	}

	public String getImgHeight()
	{
		return imgHeight;
	}

	public void setImgHeight(String imgHeight)
	{
		this.imgHeight = imgHeight;
	}
}
