package com.namasoft.common.layout.edit;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;

import com.namasoft.common.layout.TitledID;
import com.namasoft.common.layout.metadata.CustomRepInfo;

@XmlRootElement
@SuppressWarnings("serial")
@XmlAccessorType(XmlAccessType.PROPERTY)
public class EditScreenDashBoard extends EditScreenBlock implements TitledID
{
	private CustomRepInfo reportInfo;
	private boolean collapsible = true;
	private GridSize size;

	public boolean getEditScreenDashBoard()
	{
		return true;
	}

	public CustomRepInfo getReportInfo()
	{
		return reportInfo;
	}

	public void setReportInfo(CustomRepInfo reportInfo)
	{
		this.reportInfo = reportInfo;
	}

	public String getId()
	{
		return getFieldId();
	}

	@Override
	public NaMaText getTitle()
	{
		if (reportInfo == null)
			return null;
		return reportInfo.getTitle();
	}

	public boolean isCollapsible()
	{
		return collapsible;
	}

	public void setCollapsible(boolean collapsible)
	{
		this.collapsible = collapsible;
	}

	public GridSize getSize()
	{
		return size;
	}

	public void setSize(GridSize size)
	{
		this.size = size;
	}
}
