package com.namasoft.modules.commonbasic.contracts.valueobjects;

import com.namasoft.common.flatobjects.EntityReferenceData;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.util.Date;
@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public abstract class GeneratedDTOLegalEntityInfo implements Serializable
{
	private Boolean inActive;
	private Boolean useLogoForPublic;
	private Date foundationDate;
	private Date practiceStart;
	private EntityReferenceData configGroup;
	private EntityReferenceData mediatorAccount;
	private EntityReferenceData parent;
	private String commercialRegNo;
	private String regIssuingOffice;
	private String socialInsuranceNo;
	private String taxFileID;
	private String taxRegIssuingOffice;
	private String taxRegNumber;
	public Boolean getInActive()
	{
		return inActive;
	}

	public Boolean getUseLogoForPublic()
	{
		return useLogoForPublic;
	}

	public Date getFoundationDate()
	{
		return foundationDate;
	}

	public Date getPracticeStart()
	{
		return practiceStart;
	}

	public EntityReferenceData getConfigGroup()
	{
		return configGroup;
	}

	public EntityReferenceData getMediatorAccount()
	{
		return mediatorAccount;
	}

	public EntityReferenceData getParent()
	{
		return parent;
	}

	public String getCommercialRegNo()
	{
		return commercialRegNo;
	}

	public String getRegIssuingOffice()
	{
		return regIssuingOffice;
	}

	public String getSocialInsuranceNo()
	{
		return socialInsuranceNo;
	}

	public String getTaxFileID()
	{
		return taxFileID;
	}

	public String getTaxRegIssuingOffice()
	{
		return taxRegIssuingOffice;
	}

	public String getTaxRegNumber()
	{
		return taxRegNumber;
	}

	public void setCommercialRegNo(String commercialRegNo)
	{
		this.commercialRegNo = commercialRegNo;
	}

	public void setConfigGroup(EntityReferenceData configGroup)
	{
		this.configGroup = configGroup;
	}

	public void setFoundationDate(Date foundationDate)
	{
		this.foundationDate = foundationDate;
	}

	public void setInActive(Boolean inActive)
	{
		this.inActive = inActive;
	}

	public void setMediatorAccount(EntityReferenceData mediatorAccount)
	{
		this.mediatorAccount = mediatorAccount;
	}

	public void setParent(EntityReferenceData parent)
	{
		this.parent = parent;
	}

	public void setPracticeStart(Date practiceStart)
	{
		this.practiceStart = practiceStart;
	}

	public void setRegIssuingOffice(String regIssuingOffice)
	{
		this.regIssuingOffice = regIssuingOffice;
	}

	public void setSocialInsuranceNo(String socialInsuranceNo)
	{
		this.socialInsuranceNo = socialInsuranceNo;
	}

	public void setTaxFileID(String taxFileID)
	{
		this.taxFileID = taxFileID;
	}

	public void setTaxRegIssuingOffice(String taxRegIssuingOffice)
	{
		this.taxRegIssuingOffice = taxRegIssuingOffice;
	}

	public void setTaxRegNumber(String taxRegNumber)
	{
		this.taxRegNumber = taxRegNumber;
	}

	public void setUseLogoForPublic(Boolean useLogoForPublic)
	{
		this.useLogoForPublic = useLogoForPublic;
	}

}
